Retrieve an Agent Pattern in a Project
get
/ic/api/integration/v1/projects/{projectId}/ai/patterns/{id}
Returns details of a specific Agent Pattern.
Request
Path Parameters
-
id(required): string
Agent Pattern identifier
-
projectId(required): string
Project identifier
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=singular
200 Response
Successful operation
Nested Schema : type
Type:
Show Source
object-
code: string
Code
-
created: string
(date-time)
Created Date
-
createdBy: string
Created By
-
createdDate: string
(date-time)
Created Date
-
dependencies: object
PatternDependencies
-
description: string
Pattern Description
-
guidelines: string
-
id: string
Pattern id
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
maxIteration: integer
(int32)
-
name: string
Pattern Name
-
patternRoles: array
patternRoles
Pattern Roles
-
projectId: string
Automation id
-
recipeSource: string
Allowed Values:
[ "System", "Store" ]Source of the recipe.Example:System -
status: string
Pattern Status
-
updateBy: string
Updated By
-
updatedDate: string
(date-time)
Updated Date
-
usageCount: integer
(int32)
Usage Count
-
version: string
Version
Nested Schema : Integration
Type:
Show Source
object-
code: string
Integration Code
-
name: string
Integration Name
-
status: string
Integration Status
-
type: string
Integration Type
-
version: string
Integration Version
404 Response
Agent Pattern not found
500 Response
Server error
Examples
The following example shows how to retrieve a specific agent pattern in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve agent pattern ORDER_PROCESSING_PATTERN in project TEST_PROJECT
This command retrieves the specified agent pattern in the specified project.
The id is in the form: code%7Cversion. The %7C is the encoded | (vertical line).
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/patterns/ORDER_PROCESSING_PATTERN%7C01.00.0000?integrationInstance=service-instance